MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026957Open CASCADE[OCCT] OCCT:Shape Healingpublic2015-12-05 22:002017-08-16 14:15
Reporterabv 
Assigned Togka 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version[OCCT] 7.1.0 
Summary0026957: Unify same domain operation is slow for multiple shells
DescriptionDRAW command unifysamedom works several times slower for shape consisting of 6 shells than for the same shape where all faces are collected in one shell. Besides, the result in the first case contains 6 shells and only one face (5 of shells are empty).

The problem was detected by comparing performance of test demo samples snowflake in OCCT 6.9.1 and 7.0.0.dev: the argument of unifysamedom command in this test is generated by Boolean operations, and due to changes in how they work with shells, its structure has changed.

Note that behavior is the same in OCCT 6.9.1
Steps To Reproducepload MODELING
restore [locate_data_file bug26957-w-700.brep] a1
time {unifysamedom r1 a1} ;# works ~ 1.0 sec
sewing a2 0.0 a1
time {unifysamedom r2 a2} ;# works ~ 0.3 sec
TagsNo tags attached.
Test case numberbugs heal bug26957
Attached Files? file icon bug26957-w-700.brep (75,931 bytes) 2015-12-05 22:02

- Relationships

-  Notes
(0069456)
mkv (tester)
2017-08-16 14:15

Problem described in issue is not reproduced on current state of OCCT. Fixed in OCCT7.1.0.

- Issue History
Date Modified Username Field Change
2015-12-05 22:00 abv New Issue
2015-12-05 22:00 abv Assigned To => gka
2015-12-05 22:02 abv File Added: bug26957-w-700.brep
2015-12-05 22:07 abv Steps to Reproduce Updated View Revisions
2015-12-05 22:07 abv Description Updated View Revisions
2016-10-26 11:59 gka Target Version 7.1.0 => 7.2.0
2017-07-27 09:33 abv Target Version 7.2.0 => 7.4.0*
2017-08-16 14:15 mkv Test case number => bugs heal bug26957
2017-08-16 14:15 mkv Note Added: 0069456
2017-08-16 14:15 mkv Status new => closed
2017-08-16 14:15 mkv Resolution open => fixed
2017-08-16 14:15 mkv Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker